'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = callExpressionToMemberExpression;

var _jscodeshift = require('jscodeshift');

var _jscodeshift2 = _interopRequireDefault(_jscodeshift);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CONVERT_CALL_TO_MEMBER_EXPRESSION = ['toBeDefined', 'toBeNull', 'toBeTruthy', 'toBeFalsy'];

function callExpressionToMemberExpression($) {
  return $.find(_jscodeshift2.default.CallExpression).filter(function (node) {
    return _jscodeshift2.default.MemberExpression.check(node.value.callee);
  }).filter(function (node) {
    return CONVERT_CALL_TO_MEMBER_EXPRESSION.indexOf(node.value.callee.property.name) >= 0;
  }).replaceWith(function (node) {
    return _jscodeshift2.default.memberExpression(node.value.callee.object, _jscodeshift2.default.identifier(node.value.callee.property.name));
  });
}